﻿//Declaración de variables
var oDoc;
var oLib;

/**
 * @method		config
 * @description	Método encargado de configurar el comando, en caso de existir el documento asigna las referencias al documento y a la librería
 * @return		Void
 */
function config()
{
	var ret = false;
	
	fl.showIdleMessage(false);
	fl.outputPanel.clear();
	
	if(fl.getDocumentDOM())
	{
		this.oDoc = fl.getDocumentDOM();
		this.oLib = this.oDoc.library;
		
		ret = true;
	}
	else
	{
		alert("Debes tener un documento abierto.");
	}
	
	return ret;
}

/**
 * @method		getImages
 * @description	Método encargado de obtener y devolver el listado de las imágenes de tipo indicado en el parámetro _sMask en el directorio indicado en el parámetro _sUri
 * @param		_sUri		String		Cadena que indica el directorio del cual se quiere obtener el listado de imágenes
 * @return		String
 */
function getImages(_sUri)
{
	var ret = "";
	
	if(this.config())
	{
		var sMask = "*.jpg";
		var sUriWithMask = _sUri + sMask;
		var aList = FLfile.listFolder(sUriWithMask, "files");
		
		sMask = "*.png";
		sUriWithMask = _sUri + sMask;
		aList = aList.concat(FLfile.listFolder(sUriWithMask, "files"));
		
		aList.sort();
		
		var nTotalList = aList.length;
		var sPath = FLfile.uriToPlatformPath(_sUri);
		
		for(var i = 0; i < nTotalList; i++)
		{
			ret += aList[i] + "," + sPath + aList[i] + "|";
		}
		
		ret = ret.substr(0, ret.length - 1);
		
		delete sUriWithMask, aList, nTotalList, sPath;
	}
	
	return ret;
}

/**
 * @method		importImageToDocument
 * @description	Método encargado de importar la imagen indicada por parámetro al escenario, antes de importarla al la biblioteca la busca, si la encuentra instancia esta en lugar de volver a importarla
 * @return		Void
 */
function importImageToDocument(_sImage)
{
	if(this.config())
	{
		var sImageName = _sImage.split("/").pop();
		if (this.oLib.itemExists(sImageName))
			this.oLib.addItemToDocument( { x:0, y:0 }, sImageName);
		else
			this.oDoc.importFile(FLfile.platformPathToURI(_sImage));
	}
}