﻿//Declaración de variables
var oDoc;
var oLib;

/**
 * @method		config
 * @description	Método encargado de configurar el comando, en caso de existir el documento asigna las referencias al documento y a la librería
 * @return		Void
 */
function config()
{
	var ret = false;
	
	fl.showIdleMessage(false);
	fl.outputPanel.clear();
	
	if(fl.getDocumentDOM())
	{
		this.oDoc = fl.getDocumentDOM();
		this.oLib = this.oDoc.library;
		
		ret = true;
	}
	else
	{
		alert("Debes tener un documento abierto.");
	}
	
	return ret;
}

/**
 * @method		renameItems
 * @description	Método encargado de renombrar los items seleccionados en la biblioteca, dependiendo de los valores que se indiquen por parámetro se añadirá un prefijo, un sufijo o se modificará completamente el nombre de los items
 * @param		_sPreffix		String		Cadena que indica el prefijo para renombrar los items
 * @param		_sName			String		Cadena que indica el nombre para renombrar los items
 * @param		_sSuffix		String		Cadena que indica el sufijo para renombrar los items
 * @return		Void
 */
function renameItems(_sPreffix, _sName, _sSuffix)
{
	//Comprobamos que existe un documento y obtenemos referencias a él y a la biblioteca llamando al métod config
	if(this.config())
	{
		//Obtenemos los items seleccionados en la biblioteca
		var aItems = this.oLib.getSelectedItems();
		var nTotalItems = aItems.length;
		
		//Recorremos los elementos seleccionados
		for(var i = 0; i < nTotalItems; i++)
		{
			var oItem = aItems[i];
			//Comprobamos que el item no sea de tipo folder
			if (oItem.itemType != "folder")
			{
				//Creamos y configuramos las variables necesarias para renombrar el item
				var sCompleteName = oItem.name;
				var aNameParts = sCompleteName.split("/");
				var sSingleName = aNameParts.pop();
				
				if (_sPreffix)
					sSingleName = _sPreffix + sSingleName;
				else if (_sName)
					sSingleName = _sName + i;
				else if (_sSuffix)
					sSingleName += _sSuffix;
					
				aNameParts.push(sSingleName);
				sCompleteName = aNameParts.join("/");
				
				//Utilizamos el método selectItem del objeto Library
				this.oLib.selectItem(aItems[i].name);
				
				//Con el item seleccionado utilizamos utilizamos el método renameItem para cambiar el nombre del item
				this.oLib.renameItem(sCompleteName);
			}
		}
	}
}